Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation.spring
Class JpaPersistenceContextFactory

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.spring.JpaPersistenceContextFactory

All Implemented Interfaces:
  PersistenceContextFactory

    public class JpaPersistenceContextFactory

extends java.lang.Object
implements PersistenceContextFactory

A factory for PersistenceContext objects which integrates with Spring's JPA support.

When a bean is invoked which is associated with a conversation, but the conversation does not yet have a PersistenceContext, then this factory is used to create a PersistenceContext.

The returned object knows how to configure itself as the "current persistence context" within Spring when a method on that bean is invoked, and how to restore the earlier "current persistence context" after the method returns.

Constructor Summary
`JpaPersistenceContextFactory()`

Method Summary
`PersistenceContext` | `create()`
`javax.persistence.EntityManagerFactory` | `getEntityManagerFactory()`
`void` | `setEntityManagerFactory(javax.persistence.EntityManagerFactory entityManagerFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpaPersistenceContextFactory

    public JpaPersistenceContextFactory()

Method Detail

### create

    public PersistenceContext create()

  Specified by:
    `create` in interface `PersistenceContextFactory`

### getEntityManagerFactory

    public javax.persistence.EntityManagerFactory getEntityManagerFactory()

### setEntityManagerFactory

    public void setEntityManagerFactory(javax.persistence.EntityManagerFactory entityManagerFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.